{
    attributes = (
        {
            columnName = FANN_KEY; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FDIP_CODE; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = FDIP_KEY; }; 
            name = fdipCode; 
            valueClassName = NSString; 
            width = 7; 
        }, 
        {
            columnName = FHAB_KEY; 
            externalType = NUMBER; 
            name = fhabKey; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSPN_KEY; 
            externalType = NUMBER; 
            name = fspnKey; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (fhabKey); 
    className = EOGenericRecord; 
    classProperties = (
        fhabKey, 
        fspnKey, 
        fdipCode, 
        fannKey, 
        toScolFormationAnnee, 
        toScolFormationDiplome, 
        toScolFormationHabilitation, 
        toScolFormationSpecialisation
    ); 
    externalName = V_SCOL_FORMATION_HABILITATION; 
    fetchSpecificationDictionary = {}; 
    name = VScolFormationHabilitation; 
    primaryKeyAttributes = (fhabKey); 
    relationships = (
        {
            destination = ScolFormationAnnee; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fannKey; sourceAttribute = fannKey; }); 
            name = toScolFormationAnnee; 
        }, 
        {
            destination = ScolFormationDiplome; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fdipCode; sourceAttribute = fdipCode; }); 
            name = toScolFormationDiplome; 
        }, 
        {
            destination = ScolFormationHabilitation; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fhabKey; sourceAttribute = fhabKey; }); 
            name = toScolFormationHabilitation; 
        }, 
        {
            destination = ScolFormationSpecialisation; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fspnKey; sourceAttribute = fspnKey; }); 
            name = toScolFormationSpecialisation; 
        }
    ); 
}
